com.sun.java.xml.ns.javaee

## Class EjbRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.EjbRefType

-     public class EjbRefType
      extends Object

  The ejb-refType is used by ejb-ref elements for the declaration of a reference to an enterprise bean's home or to the remote business interface of a 3.0 bean. The declaration consists of: - an optional description - the EJB reference name used in the code of the Deployment Component that's referencing the enterprise bean. - the optional expected type of the referenced enterprise bean - the optional remote interface of the referenced enterprise bean or the remote business interface of the referenced enterprise bean - the optional expected home interface of the referenced enterprise bean. Not applicable if this ejb-ref refers to the remote business interface of a 3.0 bean. - optional ejb-link information, used to specify the referenced enterprise bean - optional elements to define injection of the named enterprise bean into a component field or property

  Java-Klasse für ejb-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="ejb-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="ejb-ref-name" type="{http://java.sun.com/xml/ns/javaee}ejb-ref-nameType"/>
               <element name="ejb-ref-type" type="{http://java.sun.com/xml/ns/javaee}ejb-ref-typeType" minOccurs="0"/>
               <element name="home" type="{http://java.sun.com/xml/ns/javaee}homeType" minOccurs="0"/>
               <element name="remote" type="{http://java.sun.com/xml/ns/javaee}remoteType" minOccurs="0"/>
               <element name="ejb-link" type="{http://java.sun.com/xml/ns/javaee}ejb-linkType" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected EjbLinkType` | `ejbLink`
    `protected EjbRefNameType` | `ejbRefName`
    `protected EjbRefTypeType` | `ejbRefType`
    `protected HomeType` | `home`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected XsdStringType` | `lookupName`
    `protected XsdStringType` | `mappedName`
    `protected RemoteType` | `remote`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EjbRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `EjbLinkType` | `getEjbLink()` Ruft den Wert der ejbLink-Eigenschaft ab.
    `EjbRefNameType` | `getEjbRefName()` Ruft den Wert der ejbRefName-Eigenschaft ab.
    `EjbRefTypeType` | `getEjbRefType()` Ruft den Wert der ejbRefType-Eigenschaft ab.
    `HomeType` | `getHome()` Ruft den Wert der home-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `XsdStringType` | `getLookupName()` Ruft den Wert der lookupName-Eigenschaft ab.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `RemoteType` | `getRemote()` Ruft den Wert der remote-Eigenschaft ab.
    `void` | `setEjbLink(EjbLinkType value)` Legt den Wert der ejbLink-Eigenschaft fest.
    `void` | `setEjbRefName(EjbRefNameType value)` Legt den Wert der ejbRefName-Eigenschaft fest.
    `void` | `setEjbRefType(EjbRefTypeType value)` Legt den Wert der ejbRefType-Eigenschaft fest.
    `void` | `setHome(HomeType value)` Legt den Wert der home-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLookupName(XsdStringType value)` Legt den Wert der lookupName-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.
    `void` | `setRemote(RemoteType value)` Legt den Wert der remote-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### ejbRefName

          protected EjbRefNameType ejbRefName

    - #### ejbRefType

          protected EjbRefTypeType ejbRefType

    - #### home

          protected HomeType home

    - #### remote

          protected RemoteType remote

    - #### ejbLink

          protected EjbLinkType ejbLink

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### lookupName

          protected XsdStringType lookupName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### EjbRefType

          public EjbRefType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getEjbRefName

          public EjbRefNameType getEjbRefName()

      Ruft den Wert der ejbRefName-Eigenschaft ab.
      Returns:
        possible object is `EjbRefNameType`

    - #### setEjbRefName

          public void setEjbRefName(EjbRefNameType value)

      Legt den Wert der ejbRefName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `EjbRefNameType`

    - #### getEjbRefType

          public EjbRefTypeType getEjbRefType()

      Ruft den Wert der ejbRefType-Eigenschaft ab.
      Returns:
        possible object is `EjbRefTypeType`

    - #### setEjbRefType

          public void setEjbRefType(EjbRefTypeType value)

      Legt den Wert der ejbRefType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `EjbRefTypeType`

    - #### getHome

          public HomeType getHome()

      Ruft den Wert der home-Eigenschaft ab.
      Returns:
        possible object is `HomeType`

    - #### setHome

          public void setHome(HomeType value)

      Legt den Wert der home-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `HomeType`

    - #### getRemote

          public RemoteType getRemote()

      Ruft den Wert der remote-Eigenschaft ab.
      Returns:
        possible object is `RemoteType`

    - #### setRemote

          public void setRemote(RemoteType value)

      Legt den Wert der remote-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `RemoteType`

    - #### getEjbLink

          public EjbLinkType getEjbLink()

      Ruft den Wert der ejbLink-Eigenschaft ab.
      Returns:
        possible object is `EjbLinkType`

    - #### setEjbLink

          public void setEjbLink(EjbLinkType value)

      Legt den Wert der ejbLink-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `EjbLinkType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getLookupName

          public XsdStringType getLookupName()

      Ruft den Wert der lookupName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setLookupName

          public void setLookupName(XsdStringType value)

      Legt den Wert der lookupName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.